Ruby: rescue_funcall_args Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
rescue_funcall_args Struct Reference

## Data Fields
VALUE | defined_class
VALUE | recv
ID | mid
rb_execution_context_t * | ec
const rb_callable_method_entry_t * | cme
unsigned int | respond: 1
unsigned int | respond_to_missing: 1
int | argc
const VALUE * | argv
int | kw_splat

## Detailed Description

Definition at line 508 of file vm_eval.c.

## Field Documentation

## ◆ argc

int rescue_funcall_args::argc

Definition at line 516 of file vm_eval.c.

## ◆ argv

const VALUE* rescue_funcall_args::argv

Definition at line 517 of file vm_eval.c.

## ◆ cme

const rb_callable_method_entry_t* rescue_funcall_args::cme

Definition at line 513 of file vm_eval.c.

## ◆ defined_class

VALUE rescue_funcall_args::defined_class

Definition at line 509 of file vm_eval.c.

## ◆ ec

rb_execution_context_t* rescue_funcall_args::ec

Definition at line 512 of file vm_eval.c.

Referenced by rb_check_funcall_with_hook_kw().

## ◆ kw_splat

int rescue_funcall_args::kw_splat

Definition at line 518 of file vm_eval.c.

Referenced by rb_check_funcall_kw(), and rb_check_funcall_with_hook_kw().

## ◆ mid

ID rescue_funcall_args::mid

Definition at line 511 of file vm_eval.c.

Referenced by rb_check_funcall(), rb_check_funcall_default(), rb_check_funcall_kw(), rb_check_funcall_with_hook(), and rb_check_funcall_with_hook_kw().

## ◆ recv

VALUE rescue_funcall_args::recv

Definition at line 510 of file vm_eval.c.

Referenced by rb_check_funcall(), rb_check_funcall_default(), rb_check_funcall_kw(), rb_check_funcall_with_hook(), and rb_check_funcall_with_hook_kw().

## ◆ respond

unsigned int rescue_funcall_args::respond

Definition at line 514 of file vm_eval.c.

Referenced by rb_check_funcall_with_hook_kw().

## ◆ respond_to_missing

unsigned int rescue_funcall_args::respond_to_missing

Definition at line 515 of file vm_eval.c.

The documentation for this struct was generated from the following file:

- vm_eval.c